NSTextInternal::Font Struct Reference

Internal: the fonts and many other data. More...

## Public Member Functions

| Font ()
| the constructor More...
bool | isVariable () const

## Public Attributes

MWAWFont | m_font
| the font More...
int | m_pictureId
| the picture id ( if this is for a picture ) More...
int | m_pictureWidth
| the picture width More...
int | m_markId
| a mark id More...
int | m_variableId
| the variable id : in fact cst[unkn] + v_id More...
int | m_format
| the main format ... More...
int | m_format2
| a series of flags More...
Box2i | m_pictureDim [2]
| two picture dim ( orig && file ?) More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<< More...

## Detailed Description

Internal: the fonts and many other data.

## Constructor & Destructor Documentation

NSTextInternal::Font::Font | ( |  | ) |

inline

the constructor

## Member Function Documentation

bool NSTextInternal::Font::isVariable | ( |  | ) | const

inline

Referenced by NSText::sendText().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | font
| ) |  |

friend

operator<<

## Member Data Documentation

std::string NSTextInternal::Font::m_extra

extra data

Referenced by NSTextInternal::operator<<(), and NSText::readFonts().

MWAWFont NSTextInternal::Font::m_font

the font

Referenced by NSText::readFonts(), and NSText::sendText().

int NSTextInternal::Font::m_format

the main format ...

Referenced by NSTextInternal::operator<<(), and NSText::readFonts().

int NSTextInternal::Font::m_format2

a series of flags

Referenced by isVariable(), NSTextInternal::operator<<(), and NSText::readFonts().

int NSTextInternal::Font::m_markId

a mark id

Referenced by NSTextInternal::operator<<(), and NSText::readFonts().

Box2i NSTextInternal::Font::m_pictureDim[2]

two picture dim ( orig && file ?)

Referenced by NSTextInternal::operator<<(), NSText::readFonts(), and NSText::sendText().

int NSTextInternal::Font::m_pictureId

the picture id ( if this is for a picture )

Referenced by NSTextInternal::operator<<(), NSText::readFonts(), and NSText::sendText().

int NSTextInternal::Font::m_pictureWidth

the picture width

Referenced by NSTextInternal::operator<<(), and NSText::readFonts().

int NSTextInternal::Font::m_variableId

the variable id : in fact cst[unkn] + v_id

Referenced by NSTextInternal::operator<<(), and NSText::readFonts().

The documentation for this struct was generated from the following file:

- NSText.cxx